std::bit_or(3)

NAME
std::bit_or - std::bit_or

Synopsis
   Defined in header <functional>
   template< class T > (until C++14)
   struct bit_or;
   template< class T = void > (since C++14)
   struct bit_or;
   Function object for performing bitwise OR. Effectively calls operator| on type T.

Specializations
   The standard library provides a specialization of std::bit_or when T
   is not specified, which leaves the parameter types and return type to
   be deduced.
                        (since C++14)
   bit_or<void> function object implementing x | y deducing argument and
   (C++14) return types
                (class template specialization)

Member types
   Type Definition
   result_type (deprecated in C++17)(removed in C++20) T
   first_argument_type (deprecated in C++17)(removed in C++20) T
   second_argument_type (deprecated in C++17)(removed in C++20) T
   These member types are obtained via publicly inheriting (until C++11)
   std::binary_function<T, T, T>.

Member functions
   operator() returns the result of bitwise OR of two arguments
              (public member function) std::bit_or::operator()
   T operator()( const T& lhs, const T& rhs ) const; (until C++14)
   constexpr T operator()( const T& lhs, const T& rhs ) const; (since C++14)
   Returns the result of bitwise OR of lhs and rhs.

Parameters
   lhs, rhs - values to compute bitwise OR of

Return value
   The result of lhs | rhs.

Exceptions
   May throw implementation-defined exceptions.

Possible implementation
   constexpr T operator()(const T &lhs, const T &rhs) const
   {
       return lhs | rhs;
   }